Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDBorderEffectDictionary

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDBorderEffectDictionary

All Implemented Interfaces:
  COSObjectable

public class PDBorderEffectDictionary
extends Object
implements COSObjectable

This class represents a PDF /BE entry the border effect dictionary.

Version:
  $Revision: 1.1 $
Author:
  Paul King

Field Summary
`static String` | `STYLE_CLOUDY` Constant for the name of a cloudy effect.
`static String` | `STYLE_SOLID` Constant for the name for no effect.

Constructor Summary
`PDBorderEffectDictionary()` Constructor.
`PDBorderEffectDictionary(COSDictionary dict)` Constructor.

Method Summary
`COSBase` | `getCOSObject()` returns the dictionary.
`COSDictionary` | `getDictionary()` returns the dictionary.
`float` | `getIntensity()` This will retrieve the intensity of the applied effect.
`String` | `getStyle()` This will retrieve the border effect, see the STYLE_* constants for valid values.
`void` | `setIntensity(float i)` This will set the intensity of the applied effect.
`void` | `setStyle(String s)` This will set the border effect, see the STYLE_* constants for valid values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STYLE_SOLID

    public static final String STYLE_SOLID

  Constant for the name for no effect.

  See Also:
    Constant Field Values

### STYLE_CLOUDY

    public static final String STYLE_CLOUDY

  Constant for the name of a cloudy effect.

  See Also:
    Constant Field Values

Constructor Detail

### PDBorderEffectDictionary

    public PDBorderEffectDictionary()

  Constructor.

### PDBorderEffectDictionary

    public PDBorderEffectDictionary(COSDictionary dict)

  Constructor.

Parameters:
  `dict` - a border style dictionary.

Method Detail

### getDictionary

    public COSDictionary getDictionary()

  returns the dictionary.

  Returns:
    the dictionary

### getCOSObject

    public COSBase getCOSObject()

  returns the dictionary.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    the dictionary

### setIntensity

    public void setIntensity(float i)

  This will set the intensity of the applied effect.

  Parameters:
    `i` - the intensity of the effect values 0 to 2

### getIntensity

    public float getIntensity()

  This will retrieve the intensity of the applied effect.

  Returns:
    the intensity value 0 to 2

### setStyle

    public void setStyle(String s)

  This will set the border effect, see the STYLE_* constants for valid values.

  Parameters:
    `s` - the border effect to use

### getStyle

    public String getStyle()

  This will retrieve the border effect, see the STYLE_* constants for valid values.

  Returns:
    the effect of the border

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD